This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 445319 - pk stuck 'Downloading file lists'
pk stuck 'Downloading file lists'
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-06 03:14 EDT by Rodd Clarkson
Modified: 2008-10-09 12:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-09 12:37:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
What I see for way too long when trying to install software (42.12 KB, image/png)
2008-05-06 03:14 EDT, Rodd Clarkson
no flags Details
Three listing for every package? (42.12 KB, image/png)
2008-05-07 00:30 EDT, Rodd Clarkson
no flags Details

  None (edit)
Description Rodd Clarkson 2008-05-06 03:14:31 EDT
Description of problem:

When I select System > Administraton > Add / Remove software and then select a
Category (say Games) it displays "Downloading file lists" and the indicator goes
back and forth, but it doesn't seem to get anywhere.

For example I started this process before starting to file this bug and some 7
minutes later it's still doing the same thing.

In the past it would get past this stage, but no packages appeared in the
packages pane.  It now seems I can't get that far.

At the time of running Add/Remove Software I had recently done some stuff using
yum (which fortunately works) so their shouldn't have been anything to download
(or is there?)


Version-Release number of selected component (if applicable):

gnome-packagekit-0.1.12-12.20080430.fc9.i386
yum-packagekit-0.1.12-9.20080502.fc9.i386
Comment 1 Rodd Clarkson 2008-05-06 03:14:31 EDT
Created attachment 304603 [details]
What I see for way too long when trying to install software
Comment 2 Rodd Clarkson 2008-05-06 03:22:54 EDT
Okay, somewhere around the 15 minute mark it finished "Downloading file lists"
only to tell me that there are no "Games" packages.  It's says "No results were
found"

I would have expected something in the list.

There seems to be two problems here.  The listing takes too long to appear (I
had assumed it wasn't working) and when it does 'work' you don't get anything in
the listing.
Comment 3 Richard Hughes 2008-05-06 05:36:25 EDT
Does yum search games work?
Comment 4 Rodd Clarkson 2008-05-06 07:03:44 EDT
Yes, and very quickly.

[rodd@localhost ~]$ time yum search games
Loaded plugins: refresh-packagekit
================================ Matched: games ================================
gnome-games.i386 : GNOME games
kdegames.i386 : K Desktop Environment 4 - Games
kdegames-devel.i386 : Header files for compiling KDE 4 game applications
kdegames-libs.i386 : Runtime libraries for kdegames
ClanLib06.i386 : Version 0.6 of this Cross platform C++ game library
OpenSceneGraph.i386 : High performance real-time graphics toolkit
PySolFC.noarch : A collection of solitare card games
SimGear.i386 : Simulation library components
abe.i386 : Scrolling, platform-jumping, ancient pyramid exploring game
agistudio.i386 : AGI integrated development environment
allegro.i386 : A game programming library
allegro-devel.i386 : A game programming library
allegro-tools.i386 : Extra tools for the Allegro programming library
amoebax.i386 : Action-Puzzle Game
autodownloader.noarch : GUI-tool to automate the download of certain files
blobby.i386 : Blobby Volley 2, a volley-ball game
bsd-games.i386 : Collection of text-based games
cegui.i386 : Free library providing windowing and widgets for graphics APIs /
           : engines
cel.i386 : Crystal Entity Layer
childsplay.noarch : Suite of educational games for young children
childsplay_plugins.noarch : Plugins for childsplay (educational games for young
                          : children)
clonekeen.i386 : "Commander Keen: Invasion of the Vorticons" clone
coldet.i386 : 3D Collision Detection Library
compat-guichan05.i386 : Compatibility libraries for older guichan versions
compat-guichan05-devel.i386 : Header and libraries for guichan development
crossfire.i386 : Server for hosting crossfire games
cyphesis.i386 : WorldForge game server
dosbox.i386 : x86/DOS emulator with sound and graphics
duel3.i386 : One on one spaceship duel in a 2D arena
egoboo.i386 : A top down graphical (3D) RPG in the spirit of Nethack
enigma.i386 : Clone of the ATARI game Oxyd
escape.i386 : A fun puzzle game in the tradition of Adventures of Lolo or Chip's
            : Challenge
frotz.i386 : Interpreter for Infocom and other Z-machine games
frozen-bubble-server.i386 : Frozen Bubble network game dedicated server
games-menus.noarch : Catagorized submenus for the GNOME/KDE Games menu
gbrainy.i386 : Gbrainy is a brain teaser game and trainer to keep your brain
             : trained
gcompris-sound-ar.i386 : GCompris voices in Arabic (Tunisia)
gcompris-sound-cs.i386 : GCompris voices in Tsjech
gcompris-sound-da.i386 : GCompris voices in Danish
gcompris-sound-de.i386 : GCompris voices in German
gcompris-sound-el.i386 : GCompris voices in Greek
gcompris-sound-en.i386 : GCompris voices in English
gcompris-sound-es.i386 : GCompris voices in Spanish
gcompris-sound-eu.i386 : GCompris voices in Basque
gcompris-sound-fi.i386 : GCompris voices in Finish
gcompris-sound-fr.i386 : GCompris voices in French
gcompris-sound-hi.i386 : GCompris voices in Hindi
gcompris-sound-hu.i386 : GCompris voices in Hungarian
gcompris-sound-id.i386 : GCompris voices in Indonesian
gcompris-sound-it.i386 : GCompris voices in Italian
gcompris-sound-mr.i386 : GCompris voices in Indian Marathi
gcompris-sound-nb.i386 : GCompris voices in Norwegian
gcompris-sound-nl.i386 : GCompris voices in Dutch
gcompris-sound-pt.i386 : GCompris voices in Portuguese
gcompris-sound-ru.i386 : GCompris voices in Russian
gcompris-sound-so.i386 : GCompris voices in Somali
gcompris-sound-sr.i386 : GCompris voices in Serbian
gcompris-sound-sv.i386 : GCompris voices in Swedish
gcompris-sound-tr.i386 : GCompris voices in Turk
ggz-client-libs.i386 : Client libraries for GGZ gaming zone
ghex.i386 : Binary editor for GNOME
glaxium.i386 : An OpenGL space shooter
glob2.i386 : An innovative RTS game
gnome-games-extra-data.noarch : GNOME games extra data
gnubg.i386 : A backgammon game and analyser
gnugo.i386 : Text based go program
grhino.i386 : Reversi game for GNOME, supporting the Go/Game Text Protocol
guichan.i386 : Portable C++ GUI library for games using Allegro, SDL and OpenGL
guichan-devel.i386 : Header and libraries for guichan development
hatari.i386 : An Atari ST emulator suitable for playing games
kdegames3.i386 : K Desktop Environment 3 - Games not ported to KDE 4
kdegames3-devel.i386 : Development files for kdegames3
kdegames3-libs.i386 : kdegames3 runtime libraries
lbrickbuster2.i386 : Brickbuster arcade game
libeXosip2.i386 : A library that hides the complexity of using the SIP protocol
libggz.i386 : Library for client-server games
liquidwar-server.i386 : Network game server for the LiquidWar game
lmarbles.i386 : Atomix clone where you create figures out of marbles
lure.noarch : Lure of the Temptress - Adventure Game
mercator.i386 : Terrain library for WorldForge client/server
mirrormagic.i386 : Puzzle game where you steer a beam of light using mirrors
monkey-bubble.i386 : Game in the spirit of Frozen Bubble
nagi.i386 : An interpreter for AGI games
nethack.i386 : A rogue-like single player dungeon exploration game
netpanzer.i386 : An Online Multiplayer Tactical Warfare Game
nexuiz-server.i386 : Dedicated server for the Nexuiz first person shooter
njam.i386 : Maze-game, eat all the cookies while avoiding the badguys
ode.i386 : High performance library for simulating rigid body dynamics
opengl-games-utils.noarch : Utilities to check proper 3d support before
                          : launching 3d games
penguin-command.i386 : Open source arcade game
physfs.i386 : Library to provide abstract access to various archives
pioneers.i386 : Turnbased board strategy game (colonize an island)
plib.i386 : Set of portable libraries especially useful for games
poker-eval.i386 : Poker hand evaluator library
poker-server.noarch : Server for poker-network
poker2d.i386 : GTK poker client to play on a poker-network server
powermanga.i386 : Arcade 2D shoot-them-up game
prboom.i386 : Open source port of the DOOM game engine
pygame.i386 : Python modules for writing games
pypoker-eval.i386 : Python interface to poker-eval
python-gasp.noarch : API wrapper on top of pygame
qgo.i386 : Graphical Go client and SGF editor
qstat.i386 : Real-time Game Server Status for FPS game servers
quake3.i386 : Quake 3 Arena engine (ioquake3 version)
quarry.i386 : A multi-purpose board game GUI
raydium.i386 : Raydium is a game engine, best known for powering ManiaDrive
scanmem.i386 : Simple interactive debugging utility
scorched3d.i386 : Game based loosely on the classic DOS game Scorched Earth
scummvm.i386 : Interpreter for several adventure games
sdljava.i386 : Java binding to the SDL API
sear.i386 : 3D WorldForge client
shippy.i386 : Space invaders / Galaxians like game with powerups
stratagus.i386 : Real-time strategy gaming engine
supertux.i386 : Jump'n run like game similar to Mario Bros
svgalib.i386 : Low-level fullscreen SVGA graphics library
tecnoballz.i386 : A Brick Busting game
tetrinetx.i386 : The GNU TetriNET server
tilda.i386 : A quake like terminal for GNOME
tong.i386 : A mixture of two classic games
vavoom.i386 : Enhanced Doom, Heretic, Hexen and Strife source port
wesnoth.i386 : Turn-based strategy game with a fantasy theme
wesnoth-server.i386 : Turn-based strategy game with a fantasy theme
worldofpadman.i386 : World Of Padman - Comic 3D-Shooter
xboard.i386 : An X Window System graphical chessboard
xpilot-ng-server.i386 : Server for hosting xpilot games
xrick.i386 : A clone of the game Rick Dangerous

real	0m2.450s
user	0m1.859s
sys	0m0.293s
[rodd@localhost ~]$ 

Comment 5 Richard Hughes 2008-05-06 13:19:14 EDT
What about "yum whatprovides /usr/bin/kpowersave" - also, if you do "yum clean
all" - does that fix things?
Comment 6 Rodd Clarkson 2008-05-07 00:29:30 EDT
I tried the yum clean thing and then run System > Administration > Add/Remove
Software and it took 20 minutes to finally display software in Games.

On the bright side of things, it now displays software in Games.

I re-run it and this time is listed the software in Games much faster (under a
minute).

While it's solved the problem to some degree it does raise a couple of issues.

1. That was wrong that it wouldn't display packages in Games (or other areas)
without having to run `yum clean all`?

2. Why did it take so long to show packages after a 'yum clean all'?

3. Why am I seeing three copies of all the packages? (I'll attach a screenshot
of this)

Comment 7 Rodd Clarkson 2008-05-07 00:30:26 EDT
Created attachment 304718 [details]
Three listing for every package?
Comment 8 Bug Zapper 2008-05-14 06:42:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Richard Hughes 2008-05-22 12:57:53 EDT
I think you attached the wrong screenshot.
Comment 10 Richard Hughes 2008-10-09 12:37:12 EDT
Right, I hope this is fixed now.

Note You need to log in before you can comment on or make changes to this bug.